import { Story } from '@storybook/react';
import { TooltipProps } from '@mui/material';
import { Tooltip } from './Tooltip';
declare const _default: {
    title: string;
    component: typeof Tooltip;
    argTypes: {
        arrow: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        placement: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        disableFocusListener: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableHoverListener: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableTouchListener: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        enterDelay: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        enterNextDelay: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        enterTouchDelay: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        interactive: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        leaveDelay: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        leaveTouchDelay: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        onClose: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onOpen: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<TooltipProps>;
export declare const Arrow: Story<TooltipProps>;
export declare const Right: Story<TooltipProps>;
export declare const Top: Story<TooltipProps>;
export declare const Left: Story<TooltipProps>;
export declare const GrowTransition: Story<TooltipProps>;
export declare const FadeTransition: Story<TooltipProps>;
export declare const ZoomTransition: Story<TooltipProps>;
export declare const LightTooltip: Story<TooltipProps>;
