import { Story } from '@storybook/react';
import { SelectProps } from '@mui/material';
import { Select } from './Select';
declare const _default: {
    title: string;
    component: typeof Select;
    argTypes: {
        id: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        native: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        autoWidth: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        defaultValue: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        displayEmpty: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        labelId: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        labelWidth: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        multiple: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        onChange: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onClose: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onOpen: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        renderValue: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<SelectProps<unknown>>;
export declare const Filled: Story<SelectProps<unknown>>;
export declare const Opened: Story<SelectProps<unknown>>;
export declare const DisplayEmpty: Story<SelectProps<unknown>>;
export declare const Disabled: Story<SelectProps<unknown>>;
export declare const ReadOnly: Story<SelectProps<unknown>>;
export declare const AutoWidth: Story<SelectProps<unknown>>;
export declare const FullWidth: Story<SelectProps<unknown>>;
export declare const Multiple: Story<SelectProps<unknown>>;
export declare const MultipleOpend: Story<SelectProps<unknown>>;
export declare const RenderValue: Story<SelectProps<unknown>>;
